Skip to main content
GET
/
v2
/
lists
/
{listId}
/
fields
Get metadata on a single List's Fields
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/fields \
  --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "affinity-data-description", "name": "Description", "type": "enriched", "valueType": "text", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-industry", "name": "Industry", "type": "enriched", "valueType": "filterable-text-multi", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-investment-stage", "name": "Investment Stage", "type": "enriched", "valueType": "filterable-text", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-investors", "name": "Investors", "type": "enriched", "valueType": "filterable-text-multi", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-last-funding-amount", "name": "Last Funding Amount (USD)", "type": "enriched", "valueType": "number", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-last-funding-date", "name": "Last Funding Date", "type": "enriched", "valueType": "datetime", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-linkedin-url", "name": "LinkedIn URL", "type": "enriched", "valueType": "text", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-location", "name": "Location", "type": "enriched", "valueType": "location", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-number-of-employees", "name": "Number of Employees", "type": "enriched", "valueType": "number", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-total-funding-amount", "name": "Total Funding Amount (USD)", "type": "enriched", "valueType": "number", "enrichmentSource": "affinity-data" }, { "id": "affinity-data-year-founded", "name": "Year Founded", "type": "enriched", "valueType": "number", "enrichmentSource": "affinity-data" }, { "id": "field-1", "name": "Custom global field", "type": "global", "valueType": "text", "enrichmentSource": null }, { "id": "field-2", "name": "Custom list field", "type": "list", "valueType": "text", "enrichmentSource": null }, { "id": "first-chat-message", "name": "First Chat Message", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "first-email", "name": "First Email", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "first-event", "name": "First Event", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "last-chat-message", "name": "Last Chat Message", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "last-contact", "name": "Last Contact", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "last-email", "name": "Last Email", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "last-event", "name": "Last Event", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "next-event", "name": "Next Event", "type": "relationship-intelligence", "valueType": "interaction", "enrichmentSource": null }, { "id": "source-of-introduction", "name": "Source of Introduction", "type": "relationship-intelligence", "valueType": "person", "enrichmentSource": null } ], "pagination": { "prevUrl": "https://api.affinity.co/v2/lists/1/fields?cursor=ICAgICAgYmVmb3JlOjo6Nw", "nextUrl": "https://api.affinity.co/v2/lists/1/fields?cursor=ICAgICAgIGFmdGVyOjo6NA" } }

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

Response

OK

FieldMetadataPaged model

data
FieldMetadata · object[]
required

A page of FieldMetadata results

Maximum array length: 100
pagination
Pagination · object
required